Advanced roadmap - Error #1012

Plugin errors on Redmine v2.6.3
2015-04-02 12:40 - Emilio Gonzalez Montafa

Status: Resolved Start date: 2015-04-01
Priority: Normal Due date: 2015-04-02
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Milestones Estimated time: 0.00 hour
Target version: Advanced roadmap 0.8.1

Source: Customer Redmine version: Redmine 2.6.3
Detected on version: Advanced roadmap 0.8.1

Description
Fix several errors for Redmine v2.6.3:

e Wrongly rendering all versions together when editing a milestone (JS to change project is not working).
e Error rendering a milestone.

ActionView: :Template: :Error (undefined method “version_filtered_issues_path' for #<#<Class:0x007fa
970a219a0>:0x007£a9709d9128>) :

20: :width => '40em', :legend => ('%0.0f%' % version.completed_percent))
%>

21: <p class="progress-info">

22 <%= link_to(l(:label_x_issues, :count => version.issues_count),

23: version_filtered_issues_path(version, :status_id => '*')) %>

24: &nbsp;

25: (<%= link_to_if (version.closed_issues_count > 0,

26: 1(:label_x_closed_issues_abbr, :count => version.closed_issues_count
)I

app/views/versions/_overview.html.erb:23:in ' _app_views_versions__overview_html_erb__ 6726688257

45812962_70182853855080"

Associated revisions

Revision e161a8d9 - 2015-04-02 10:49 - Emilio Gonzalez Montafia
#1012

e Fix error undefined method version_filtered_issues_path.
e Fix JS error on milestone edit form.

History

#1 - 2015-04-02 12:48 - Emilio Gonzalez Montaina

- Redmine version set to Redmine 2.6.3

#2 - 2015-04-02 12:49 - Emilio Gonzalez Montaha
- Due date set to 2015-04-02
- Status changed from In progress to Resolved

- % Done changed from 0 to 100
